#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libofx
Version		:	0.10.4
Release		:	17.2.0.rel%{?dist}
Summary		:	A library for supporting Open Financial Exchange (OFX)

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://libofx.sourceforge.net/
			#http://downloads.sourceforge.net/libofx/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc-c++
BuildRequires	:	make
BuildRequires	:	OpenSP-devel

#-----------------------------------------------------------------------------
%description
This is the LibOFX library.  It is a API designed to
allow applications to very easily support OFX command
responses, usually provided by financial institutions.
See http://www.ofx.net/ofx/default.asp for details and
specification. 

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/ofx*
%{_libdir}/%{name}.so.7*
%{_datadir}/%{name}/dtd/*.dtd
%{_datadir}/%{name}/dtd/opensp.dcl
%{_mandir}/man1/ofx*.1.gz
	
#=============================================================================
%package		devel

Summary		:	Development files needed for accessing OFX data

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The libofx-devel contains the header files and
libraries necessary for building applications
that use libofx.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc doc/html doc/ofx_sample_files
%{_includedir}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

autoconf -v -i -f

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__rm} -fr						\
	%{buildroot}%{_defaultdocdir}

#-----------------------------------------------------------------------------
%changelog
